<!doctype html>
<html>
  <head>
    <title>hook-dynamic-text-container demo</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1, user-scalable=yes">
    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>

    <link rel="import" href="../../iron-demo-helpers/demo-pages-shared-styles.html">
    <link rel="import" href="../../iron-demo-helpers/demo-snippet.html">

    <link rel="import" href="../hook-dynamic-text-container.html">

    <style is="custom-style" include="demo-pages-shared-styles">
    
      hook-dynamic-text-container {
        --container-height: 100px;
        --text-padding: 20px;
        outline: 1px solid red;
      }

    </style>
  </head>
  <body>

    <div class="vertical-section-container centered">
      <h3>Basic hook-dynamic-text-container demo</h3>
      <demo-snippet>
        <template>
          <style>
            hook-dynamic-text-container {
              --container-height: 100px;
              --text-padding: 20px;
              outline: 1px solid red;
            }
          </style>
          <hook-dynamic-text-container desired-font-size="200px" text="Oh man this is really going to come in handy whenever there's dynamic text and translations involved!"></hook-dynamic-text-container>
        </template>
      </demo-snippet>

    </div>
  </body>
</html>
